Summary: A utility for setting up encrypted filesystems
Name: cryptsetup-luks
Version: 1.0.1
Release: 0.fc4
License: GPL
Group: Applications/System
URL: http://clemens.endorphin.org/LUKS
Source: http://clemens.endorphin.org/cryptsetup-luks-%{version}.tar.bz2
Patch: cryptsetup-luks-1.0.1-proto.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libgcrypt-devel >= 1.1.42, popt, device-mapper
BuildRequires: libgpg-error-devel, e2fsprogs
Provides: cryptsetup = %{version}-%{release}
Obsoletes: cryptsetup <= 0.1

%description
This package contains cryptsetup, a utility for setting up
encrypted filesystems using Device Mapper and the dm-crypt target.

%prep
%setup -q
%patch -p1

%build
%configure --enable-static
LDADD=-all-static make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin
rm -rf  $RPM_BUILD_ROOT/%{_libdir} $RPM_BUILD_ROOT/%{_includedir}

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog AUTHORS INSTALL NEWS README
%{_mandir}/man*/*
/sbin/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul  1 2005 Bill Nottingham <notting@redhat.com> 1.0.1-0.fc4
- update to 1.0.1 - fixes incompatiblity with previous cryptsetup for
  piped passwords

* Thu Jun 16 2005 Bill Nottingham <notting@redhat.com> 1.0-2
- add patch for 32/64 bit compatibility (#160445, <redhat@paukstadt.de>)

* Tue Mar 29 2005 Bill Nottingham <notting@redhat.com> 1.0-1
- update to 1.0

* Thu Mar 10 2005 Bill Nottingham <notting@redhat.com> 0.993-1
- switch to cryptsetup-luks, for LUKS support

* Tue Oct 12 2004 Bill Nottingham <notting@redhat.com> 0.1-4
- oops, make that *everything* static (#129926)

* Tue Aug 31 2004 Bill Nottingham <notting@redhat.com> 0.1-3
- link some things static, move to /sbin (#129926)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Apr 16 2004 Bill Nottingham <notting@redhat.com> 0.1-1
- initial packaging
